> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve a processed usage record

GET https://rest.test.zuora.com/object-query/processed-usages/{key}

Retrieve the details of a specific Processed Usage Record object.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/object-query/object-queries/query-processed-usage-by-key

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `key` (string, required) — Object ID or Number.

### Query parameters

- `pageSize` (integer, optional, default: 10) — The maximum number of results to return in a single page. If the specified `pageSize` is less than 1 or greater than 99, Zuora will return a 400 error.
- `cursor` (string, optional) — A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with `next_page=W3sib3JkZXJ=`, your subsequent call can include `cursor=W3sib3JkZXJ=` in order to fetch the next page of the list.
- `sort[]` (list of string, optional) — A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. `accountnumber.ASC`) or descending (e.g. `accountnumber.DESC`). You cannot sort on properties in arrays. If the array-type properties are specified for the `sort[]` parameter, they are ignored.
- `expand[]` (list of enum, optional) — Allows you to expand responses by including related object information in a single call.
  - Allowed values: `usage`, `invoiceitem`, `creditmemoitem`
- `filter[]` (list of string, optional) — A case-insensitive filter on the list.
- `fields[]` (list of string, optional) — A case-insensitive query parameter that allows you to specify which fields are returned in the response.
- `includeNullFields` (boolean, optional, default: false) — Specifies whether to include fields with the `null` value in the response. - If set to `true`, all fields will be returned in the response, including those with the `null` value. - If set to `false`, only fields with non-null values will be returned.

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `id` (string, optional) — The unique identifier of the processed usage.
- `createdById` (string, optional) — The unique identifier of the user who created the processed usage.
- `createdDate` (datetime, optional) — The date and time when the processed usage was created.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the processed usage.
- `updatedDate` (datetime, optional) — The date and time when the processed usage was last updated.
- `usageId` (string, optional) — The unique identifier of the usage.
- `amount` (double, optional) — The amount of the processed usage.
- `billingPeriodEndDate` (string, optional) — The end date of the billing period for the processed usage.
- `billingPeriodStartDate` (string, optional) — The start date of the billing period for the processed usage.
- `invoiceItemId` (string, optional) — The unique identifier of the invoice item associated with the processed usage.
- `creditMemoItemId` (string, optional) — The unique identifier of the credit memo item associated with the processed usage.
- `ratePlanChargeId` (string, optional) — ID of the rate plan charge associated with the processed usage.
- `usage` (NestedUsageOnExpand, optional)
- `invoiceItem` (NestedInvoiceItemOnExpand, optional)
- `creditMemoItem` (NestedCreditMemoItemOnExpand, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

### 400 Client Request Error

Invalid input

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

## Types

### NestedUsageOnExpand

- `id` (string, optional) — The unique identifier of the usage.
- `createdById` (string, optional) — The unique identifier of the user who created the usage.
- `createdDate` (datetime, optional) — The date and time when the usage was created.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the usage.
- `updatedDate` (datetime, optional) — The date and time when the usage was last updated.
- `accountId` (string, optional) — The ID of the customer account associated with the usage.
- `accountNumber` (string, optional) — The number of the customer account associated with the usage.
- `ratePlanChargeId` (string, optional) — ID of the rate plan charge that pays for this usage.
- `endDateTime` (datetime, optional) — End date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date.
- `productRatePlanChargeId` (string, optional) — The product rate plan charge number that you use for a dynamic usage charge.
- `quantity` (double, optional) — Number of units used.
- `rbeStatus` (enum, optional) — Indicates if the rating and billing engine (RBE) processed usage data for an invoice.
  - Allowed values: `Importing`, `Pending`, `Processed`
- `sourceType` (enum, optional) — Indicates if the usage records were imported from the web-based UI or the API.
  - Allowed values: `API`, `Import`
- `startDateTime` (datetime, optional) — Start date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date.
- `subscriptionId` (string, optional) — The original ID of the subscription that contains the fees related to the usage data.
- `submissionDateTime` (datetime, optional) — The date and time when the usage was submitted.
- `uOM` (string, optional) — The units to measure usage. Units of measure are configured in the web-based UI. Your values depend on your configuration in **Billing Settings**.
- `description` (string, optional) — A description of the usage record.
- `importId` (string, optional) — The unique identifier of the import.
- `uniqueKey` (string, optional) — a customer-defined specific identifier of a usage record. **Note**: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature or the Unbilled Usage feature enabled. See [Upload usage record with unique key](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Prepaid_balance_transactions#Upload_usage_record_with_unique_key) for more information.
- `fileId` (string, optional) — File ID of the uploaded usage records file. You can use this file ID with [Get files](https://developer.zuora.com/api-references/api/operation/GET_Files) to download the file.
- `fileName` (string, optional) — The name of the import file when the usage record is imported from the file.
- `account` (NestedUsageOnExpandAccount, optional) — The account associated with the usage.

### NestedInvoiceItemOnExpand

- `id` (string, optional) — The unique identifier of the invoice item.
- `createdById` (string, optional) — The unique identifier of the user who created the invoice item.
- `createdDate` (datetime, optional) — The date and time when the invoice item was created.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the invoice item.
- `updatedDate` (datetime, optional) — The date and time when the invoice item was last updated.
- `invoiceId` (string, optional) — The unique identifier of the invoice to which this invoice item belongs.
- `invoiceScheduleId` (string, optional) — The ID of the invoice schedule associated with the rate plan charge on the subscription. **Note**: This field is available only if you have the Billing Schedule feature enabled.
- `invoiceScheduleItemId` (string, optional) — The ID of the invoice schedule item that generates this invoice item. **Note**: This field is available only if you have the Billing Schedule feature enabled.
- `ratePlanChargeId` (string, optional) — The ID of the rate plan charge associated with the invoice item.
- `accountingCode` (string, optional) — The accounting code associated with the invoice item.
- `appliedToInvoiceItemId` (string, optional) — The unique ID of the invoice item that the discount charge is applied to.
- `chargeAmount` (double, optional) — The amount of the charge. **Note**: This amount does not include taxes regardless if the charge's tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge.
- `chargeDate` (datetime, optional) — The date when the invoice item is charged, in `yyyy-mm-dd hh:mm:ss` format.
- `chargeName` (string, optional) — The name of the charge.
- `chargeNumber` (string, optional) — Number of the charge.
- `commitmentChargeNumber` (string, optional)
- `commitmentChargeSegmentNumber` (string, optional)
- `description` (string, optional) — The description of the invoice item.
- `discountAmount` (double, optional) — The amount of the discount.
- `excludeItemBillingFromRevenueAccounting` (boolean, optional) — The flag to exclude the invoice item from revenue accounting. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `fulfillmentId` (string, optional) — The reference ID of the fulfillment associated with the invoice item.
- `itemShipToContactId` (string, optional) — The ID of the ship-to contact associated with the invoice item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `itemSoldToContactId` (string, optional) — The ID of the sold-to contact associated with the invoice item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `itemSoldToContactSnapshotId` (string, optional) — The ID of the sold-to contact snapshot associated with the invoice item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `processingType` (enum, optional) — The kind of the charge for the invoice item. - `0`: charge - `1`: discount - `2`: prepayment - `3`: tax
  - Allowed values: `0`, `1`, `2`, `3`
- `quantity` (double, optional) — The quantity of this item, in the configured unit of measure for the charge.
- `reflectDiscountInNetAmount` (boolean, optional, default: false) — When you apply percentage discounts to either of the following charges, you need to set the `reflectDiscountInNetAmount` field on your discount charge to `true`, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the `reflectDiscountInNetAmount` field to `true`, you must also set the `excludeItemBillingFromRevenueAccounting` field to `true`. * If you are a Billing - Revenue Integration customer, you must set the `reflectDiscountInNetAmount` field to `false`, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the `reflectDiscountInNetAmount` field to `true`.
- `revRecStartDate` (date, optional)
- `serviceEndDate` (date, optional) — The end date of the service period for this item, i.e., the last day of the service period, as _yyyy-mm-dd_.
- `serviceStartDate` (date, optional) — The start date of the service period for this item, as _yyyy-mm-dd_. For a one-time fee item, the date of the charge.
- `sKU` (string, optional) — The SKU of the product associated with the invoice item.
- `sourceItemType` (enum, optional) — The type of the source item.
  - Allowed values: `SubscriptionComponent`, `Rounding`, `ProductRatePlanCharge`, `None`, `OrderLineItem`
- `subscriptionId` (string, optional) — ID of the subscription associated with the invoice item.
- `subscriptionNumber` (string, optional) — Number of the subscription associated with the invoice item.
- `taxAmount` (double, optional) — The amount of tax applied to the charge.
- `taxCode` (string, optional) — The tax code of the invoice item. **Note** Only when taxation feature is enabled, this field can be presented.
- `taxExemptAmount` (double, optional)
- `taxMode` (enum, optional) — The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax.
  - Allowed values: `TaxExclusive`, `TaxInclusive`
- `unitPrice` (double, optional) — The per-unit price of the invoice item. **Note**: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts).
- `uOM` (string, optional) — The unit of measure (UOM) that is configured in **Settings > Billing** for the product rate plan charge.
- `balance` (double, optional) — The balance of the invoice item. **Note**: This field is only available if you have the Invoice Settlement feature enabled.
- `numberOfDeliveries` (double, optional) — The number of deliveries dedicated to the Delivery Pricing charges. **Note**: This field is available only if you have the Delivery Pricing feature enabled.
- `accountReceivableAccountingCodeId` (string, optional) — ID of the account receivable accounting code associated with the invoice item. **Note:** This field is only available if you have Zuora Finance enabled.
- `recognizedRevenueAccountingCodeId` (string, optional) — ID of the recognized revenue accounting code associated with the invoice item. **Note:** This field is only available if you have Zuora Finance enabled.
- `deferredRevenueAccountingCodeId` (string, optional) — ID of the deferred revenue accounting code associated with the invoice item. **Note:** This field is only available if you have Zuora Finance enabled.
- `contractAssetAccountingCodeId` (string, optional) — ID of the accounting code for contract asset. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `contractLiabilityAccountingCodeId` (string, optional) — ID of the accounting code for contract liability. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `contractRecognizedRevenueAccountingCodeId` (string, optional) — ID of the accounting code for contract recognized revenue. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `unbilledReceivablesAccountingCodeId` (string, optional)
- `adjustmentRevenueAccountingCodeId` (string, optional) — The accounting code for adjustment revenue. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `adjustmentLiabilityAccountingCodeId` (string, optional) — ID of the accounting code for adjustment liability. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `journalEntryId` (string, optional) — The ID of the journal entry that corresponds to this invoice item.
- `accountId` (string, optional) — The ID of the account associated with the invoice item.
- `billToContactSnapshotId` (string, optional) — The ID of the bill-to contact snapshot associated with the invoice.
- `shipToContactSnapshotId` (string, optional) — The ID of the ship-to contact snapshot associated with the invoice.
- `soldToContactSnapshotId` (string, optional) — The ID of the sold-to contact snapshot associated with the invoice.
- `parentAccountId` (string, optional) — The parent account of the account associated with the invoice. **Note**: This field is available only if you have Customer Hierarchy enabled for your tenant.
- `billToContactId` (string, optional) — The ID of the bill-to contact associated with the invoice.
- `shipToContactId` (string, optional) — The ID of the ship-to contact associated with the invoice.
- `soldToContactId` (string, optional) — The ID of the sold-to contact associated with the invoice.
- `defaultPaymentMethodId` (string, optional) — The ID of the default payment method on the associated account.
- `ratePlanId` (string, optional) — The ID of the rate plan that the invoice is created from.
- `amendmentId` (string, optional) — The ID of the amendment associated with the subscription. **Note**: This field is available only if you do not have Orders enabled for your tenant.
- `productRatePlanChargeId` (string, optional) — The ID of the product rate plan charge that the invoice item is created from.
- `productRatePlanId` (string, optional) — The ID of the product rate plan that the invoice item is created from.
- `productId` (string, optional) — The ID of the product that the invoice item is created from.
- `bookingReference` (string, optional) — The booking reference of the invoice item.
- `itemType` (string, optional) — The type of the invoice item.
- `purchaseOrderNumber` (string, optional) — The purchase order number associated with the invoice item.
- `revRecCode` (string, optional) — The revenue recognition code.
- `revRecTriggerCondition` (enum, optional) — The date when revenue recognition is triggered.
  - Allowed values: `ContractEffectiveDate`, `ServiceActivationDate`, `CustomerAcceptanceDate`
- `revenueRecognitionRuleName` (string, optional) — The revenue recognition rule of the invoice item. **Note:** This field is only available if you have Zuora Finance enabled.
- `subscriptionOwnerId` (string, optional) — The ID of the subscription owner associated with the invoice item.
- `orderLineItemId` (string, optional) — The reference ID of the oder line item associated with the invoice item.
- `invoice` (NestedInvoiceItemOnExpandInvoice, optional) — The invoices to which the invoice item belongs.
- `subscription` (NestedInvoiceItemOnExpandSubscription, optional) — The invoice to which the invoice item belongs.
- `ratePlanCharge` (NestedInvoiceItemOnExpandRatePlanCharge, optional) — The rate plan charge associated with the invoice item.
- `orderLineItem` (NestedInvoiceItemOnExpandOrderLineItem, optional) — The order line item associated with the invoice item.

### NestedCreditMemoItemOnExpand

- `id` (string, optional) — The unique identifier of the credit memo item.
- `createdById` (string, optional) — The unique identifier of the user who created the credit memo item.
- `createdDate` (datetime, optional) — The date and time when the credit memo item was created.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the credit memo item.
- `updatedDate` (datetime, optional) — The date and time when the credit memo item was last updated.
- `amount` (double, optional) — The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax.
- `amountWithoutTax` (double, optional) — The credit memo item amount excluding tax.
- `appliedToItemId` (string, optional) — The unique ID of the credit memo item that the discount charge is applied to.
- `appliedToOthersAmount` (double, optional) — The amount of the credit memo that is applied to other credit memo items.
- `beAppliedByOthersAmount` (double, optional)
- `chargeDate` (datetime, optional) — The date when the credit memo item is charged, in `yyyy-mm-dd hh:mm:ss` format.
- `description` (string, optional) — The description of the credit memo item. **Note**: This field is only available if you set the `Zuora-Version` request header to `257.0` or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version).
- `excludeItemBillingFromRevenueAccounting` (boolean, optional) — The flag to exclude the credit memo item from revenue accounting. **Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.
- `fulfillmentId` (string, optional) — The reference ID of the fulfillment associated with the credit memo item.
- `invoiceScheduleId` (string, optional) — The ID of the invoice schedule associated with the credit memo item. **Note**: This field is available only if you have the Billing Schedule feature enabled.
- `invoiceScheduleItemId` (string, optional) — The ID of the invoice schedule item associated with the credit memo item. The credit memo item is generated during the processing of the invoice schedule item. **Note**: This field is available only if you have the Billing Schedule feature enabled.
- `itemShipToContactId` (string, optional) — The ID of the ship-to contact associated with the credit memo item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `itemSoldToContactId` (string, optional) — The ID of the sold-to contact associated with the credit memo item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `itemSoldToContactSnapshotId` (string, optional) — The ID of the sold-to contact snapshot associated with the credit memo item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `itemType` (string, optional) — The type of the credit memo item.
- `orderLineItemId` (string, optional) — The ID of the order line item associated with the credit memo item, if applicable.
- `processingType` (enum, optional) — The type of the charge for the credit memo item. - `0`: Charge - `1`: Discount
  - Allowed values: `0`, `1`
- `quantity` (double, optional) — The number of units for the credit memo item.
- `purchaseOrderNumber` (string, optional) — The purchase order number associated the credit memo item.
- `creditFromItemSource` (enum, optional) — The type of the credit from item.
  - Allowed values: `InvoiceItem`, `CreditMemoItem`
- `creditFromItemId` (string, optional) — The ID of the credit from item.
- `reflectDiscountInNetAmount` (boolean, optional, default: false) — When you apply percentage discounts to either of the following charges, you need to set the `reflectDiscountInNetAmount` field on your discount charge to `true`, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the `reflectDiscountInNetAmount` field to `true`, you must also set the `excludeItemBillingFromRevenueAccounting` field to `true`. * If you are a Billing - Revenue Integration customer, you must set the `reflectDiscountInNetAmount` field to `false`, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the `reflectDiscountInNetAmount` field to `true`.
- `serviceEndDate` (date, optional) — The service end date of the credit memo item.
- `serviceStartDate` (date, optional) — The service start date of the credit memo item.
- `sku` (string, optional) — The SKU for the product associated with the credit memo item.
- `sourceItemType` (enum, optional) — The type of the source item. - If a credit memo is not created from an invoice or a product rate plan charge or a return order line item, the value of this field is `SubscriptionComponent`. - If a credit memo is created from an invoice, the value of this field is `InvoiceDetail`. - If a credit memo is created from a product rate plan charge, the value of this field is `ProductRatePlanCharge`. - If a credit memo is created from a return order line item, the value of this field is `OrderLineItem`.
  - Allowed values: `SubscriptionComponent`, `InvoiceDetail`, `ProductRatePlanCharge`, `OrderLineItem`
- `subscriptionId` (string, optional) — The ID of the subscription associated with the credit memo item.
- `taxMode` (enum, optional) — The tax mode of the credit memo item, indicating whether the amount of the credit memo item includes tax.
  - Allowed values: `TaxExclusive`, `TaxInclusive`
- `chargeName` (string, optional) — The name of the charge associated with the credit memo item.
- `chargeNumber` (string, optional) — The number of the product rate plan charge that the credit memo is created from.
- `commitmentChargeSegmentNumber` (string, optional)
- `commitmentChargeNumber` (string, optional)
- `taxAmount` (double, optional) — The amount of the tax applied to the credit memo item.
- `taxCodeName` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific credit memo item.
- `taxExemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `unappliedAmount` (double, optional) — The unapplied amount of the credit memo item.
- `unitOfMeasure` (string, optional) — The units to measure usage.
- `unitPrice` (double, optional) — The per-unit price of the credit memo item.
- `subscriptionNumber` (string, optional) — The number of the subscription associated with the credit memo item.
- `invoiceItemId` (string, optional) — The ID of the invoice item associated with the credit memo item.
- `productRatePlanChargeId` (string, optional) — The ID of the product rate plan charge that the credit memo is created from.
- `ratePlanChargeId` (string, optional) — The ID of the rate plan charge associated with the credit memo item.
- `revenueRecognitionRuleName` (string, optional) — The name of the revenue recognition rule governing the revenue schedule.
- `revenueImpacting` (enum, optional, default: Yes) — Indicates whether this write off operation impacts the revenue. If `revenueImpacting` = `Yes`, the deferred revenue accounting code will be automatically selected from the associated invoice. If `revenueImpacting` = `No`, users can select an accounting code such as bad-debt expense accounting code for the write off operation.
  - Allowed values: `Yes`, `No`
- `creditMemoId` (string, optional) — The ID of the credit memo to which this credit memo item belongs.
- `numberOfDeliveries` (double, optional) — The number of deliveries dedicated to the Delivery Pricing charges. The value might be different, as follows: - For the credit memo generated by a bill run, this field has a value. - For the credit memo generated from an invoice, this field is blank. **Note**: This field is available only if you have the Delivery Pricing feature enabled.
- `recognizedRevenueAccountingCodeId` (string, optional) — The Recognized Revenue accounting code for the credit memo item.
- `accountReceivableAccountingCodeId` (string, optional) — The Account Receivable accounting code for the credit memo item.
- `onAccountAccountingCodeId` (string, optional) — The On Account accounting code for the credit memo item.
- `deferredRevenueAccountingCodeId` (string, optional) — The Deferred Revenue accounting code for the credit memo item.
- `journalEntryId` (string, optional) — The ID of the journal entry that corresponds to this transaction.
- `shipToContactSnapshotId` (string, optional) — The ID of the ship-to contact snapshot associated with the credit memo.
- `soldToContactSnapshotId` (string, optional) — The ID of the sold-to contact snapshot associated with the credit memo.
- `billToContactSnapshotId` (string, optional) — The ID of the bill-to contact snapshot associated with the credit memo.
- `subscription` (NestedCreditMemoItemOnExpandSubscription, optional) — The subscription associated with the credit memo item.
- `ratePlanCharge` (NestedCreditMemoItemOnExpandRatePlanCharge, optional) — The rate plan charge associated with the credit memo item.

### CommonOqErrorResponseReasonsItems

- `code` (integer, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### NestedUsageOnExpandAccount

The account associated with the usage.

### NestedInvoiceItemOnExpandInvoice

The invoices to which the invoice item belongs.

### NestedInvoiceItemOnExpandSubscription

The invoice to which the invoice item belongs.

### NestedInvoiceItemOnExpandRatePlanCharge

The rate plan charge associated with the invoice item.

### NestedInvoiceItemOnExpandOrderLineItem

The order line item associated with the invoice item.

### NestedCreditMemoItemOnExpandSubscription

The subscription associated with the credit memo item.

### NestedCreditMemoItemOnExpandRatePlanCharge

The rate plan charge associated with the credit memo item.

## Examples

**Response**

```json
{
  "id": "2c92c094602f962301604dd098824b76",
  "createdById": "2c92c0f956bc8fcb0156f8eee04b4d54",
  "createdDate": "2017-12-13T11:00:04+08:00",
  "updatedById": "2c92c0f956bc8fcb0156f8eee04b4d54",
  "updatedDate": "2017-12-13T11:00:04+08:00",
  "usageId": "2c92c08656bc8fdb0156d51204db6993",
  "billingPeriodEndDate": "2018-01-01T16:00:00+08:00",
  "billingPeriodStartDate": "2017-12-01T16:00:00+08:00",
  "invoiceItemId": "2c92c094602f962301604dd0988d4b78",
  "ratePlanChargeId": "2c92c0f956bc8fcb0156d5039e275aa9"
}
```

**SDK Code**

```python Object Queries_queryProcessedUsageByKey_example
import requests

url = "https://rest.test.zuora.com/object-query/processed-usages/key"

querystring = {"fields[]":"[\"id,createddate\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Object Queries_queryProcessedUsageByKey_example
const url = 'https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Object Queries_queryProcessedUsageByKey_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Object Queries_queryProcessedUsageByKey_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Object Queries_queryProcessedUsageByKey_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Object Queries_queryProcessedUsageByKey_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Object Queries_queryProcessedUsageByKey_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Object Queries_queryProcessedUsageByKey_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/object-query/processed-usages/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```